# OpenSSHKnownHosts.AbstractEntry (sshj 0.7.0 API)
Date: 2012-01-08

## net.schmizz.sshj.transport.verification
Class OpenSSHKnownHosts.AbstractEntry

    java.lang.Object
      net.schmizz.sshj.transport.verification.OpenSSHKnownHosts.AbstractEntry

All Implemented Interfaces:
  OpenSSHKnownHosts.HostEntry

Direct Known Subclasses:
  OpenSSHKnownHosts.HashedEntry, OpenSSHKnownHosts.SimpleEntry

Enclosing class:
  OpenSSHKnownHosts

    public abstract static class OpenSSHKnownHosts.AbstractEntry

extends Object
implements OpenSSHKnownHosts.HostEntry

Field Summary
`protected PublicKey` `key`
`protected OpenSSHKnownHosts.Marker` `marker`
`protected KeyType` `type`

Constructor Summary
`OpenSSHKnownHosts.AbstractEntry(OpenSSHKnownHosts.Marker marker, KeyType type, PublicKey key)`

Method Summary
`protected abstract String` `getHostPart()`
`String` `getLine()`
`boolean` `verify(PublicKey key)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface net.schmizz.sshj.transport.verification.OpenSSHKnownHosts.HostEntry
`appliesTo`

Field Detail

### marker

    protected final OpenSSHKnownHosts.Marker marker

### type

    protected final KeyType type

### key

    protected final PublicKey key

Constructor Detail

### OpenSSHKnownHosts.AbstractEntry

    public OpenSSHKnownHosts.AbstractEntry(OpenSSHKnownHosts.Marker marker,
                                           KeyType type,
                                           PublicKey key)

Method Detail

### verify

    public boolean verify(PublicKey key)
                   throws IOException

  Specified by:
    `verify` in interface `OpenSSHKnownHosts.HostEntry`
  Throws:
    `IOException`

### getLine

    public String getLine()

  Specified by:
    `getLine` in interface `OpenSSHKnownHosts.HostEntry`

### getHostPart

    protected abstract String getHostPart()

Copyright © 2009-2012. All Rights Reserved.